package cn.com.countrygarden.bi.main.model.erp;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Austin
 * @description 封装实收流水导入数据
 */
public class FeesSerial {
	private String id;
	private Integer CommID;
	private Long FeesID;
	private Long CustID;
	private Long RoomID;
	private Long ParkID;
	private Date FeesDueDate;
	private String BussType;
	private BigDecimal DealAmount;
	private Date DealDate;
	private String ChargesModeFeesDueDate;
	private Long CostID;
	private Long CorpCostID;
	private Long StanID;
	private BigDecimal StanAmount;
	private Long CorpStanID;
	private String RoomPropertyUses;
	private String RoomPropertyRights;
	private String ParkPropertyRights;
	private Date RoomActualSubDate;
	private Date ParkActualSubDate;
	private Integer CustLiveType;
	private String BuildType;
	private BigDecimal BuildArea;
	private Integer RoomParkCount;
	private String IsHelpPay;
	private String RoomUseState;
	private String ParkUseState;
	private BigDecimal LateAmount;
	private BigDecimal TaxRate;
	private BigDecimal TaxAmount;
	private BigDecimal Tax;
	private String CustTypeName;
	private Date LateStartDate;
	private BigDecimal LatePrice;
	private BigDecimal LateRate;
	private BigDecimal ParkArea;
	private Integer StanFormula;
	private Integer RoomState;
	private BigDecimal GardenArea;
	private BigDecimal YardArea;
	private String ChargeMode;
	private BigDecimal CommisionAmount;
	private Integer IsWriteOff;
	private String WriteOffType;
	private String WriteOffUserName;
	private String WriteOffAuditUserName;
	private String WriteOffMeme;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public Integer getCommID() {
		return CommID;
	}
	public void setCommID(Integer commID) {
		CommID = commID;
	}
	public Long getFeesID() {
		return FeesID;
	}
	public void setFeesID(Long feesID) {
		FeesID = feesID;
	}
	public Long getCustID() {
		return CustID;
	}
	public void setCustID(Long custID) {
		CustID = custID;
	}
	public Long getRoomID() {
		return RoomID;
	}
	public void setRoomID(Long roomID) {
		RoomID = roomID;
	}
	public Long getParkID() {
		return ParkID;
	}
	public void setParkID(Long parkID) {
		ParkID = parkID;
	}
	public Date getFeesDueDate() {
		return FeesDueDate;
	}
	public void setFeesDueDate(Date feesDueDate) {
		FeesDueDate = feesDueDate;
	}
	public String getBussType() {
		return BussType;
	}
	public void setBussType(String bussType) {
		BussType = bussType;
	}
	public BigDecimal getDealAmount() {
		return DealAmount;
	}
	public void setDealAmount(BigDecimal dealAmount) {
		DealAmount = dealAmount;
	}
	public Date getDealDate() {
		return DealDate;
	}
	public void setDealDate(Date dealDate) {
		DealDate = dealDate;
	}
	public String getChargesModeFeesDueDate() {
		return ChargesModeFeesDueDate;
	}
	public void setChargesModeFeesDueDate(String chargesModeFeesDueDate) {
		ChargesModeFeesDueDate = chargesModeFeesDueDate;
	}
	public Long getCostID() {
		return CostID;
	}
	public void setCostID(Long costID) {
		CostID = costID;
	}
	public Long getCorpCostID() {
		return CorpCostID;
	}
	public void setCorpCostID(Long corpCostID) {
		CorpCostID = corpCostID;
	}
	public Long getStanID() {
		return StanID;
	}
	public void setStanID(Long stanID) {
		StanID = stanID;
	}
	public BigDecimal getStanAmount() {
		return StanAmount;
	}
	public void setStanAmount(BigDecimal stanAmount) {
		StanAmount = stanAmount;
	}
	public Long getCorpStanID() {
		return CorpStanID;
	}
	public void setCorpStanID(Long corpStanID) {
		CorpStanID = corpStanID;
	}
	public String getRoomPropertyUses() {
		return RoomPropertyUses;
	}
	public void setRoomPropertyUses(String roomPropertyUses) {
		RoomPropertyUses = roomPropertyUses;
	}
	public String getRoomPropertyRights() {
		return RoomPropertyRights;
	}
	public void setRoomPropertyRights(String roomPropertyRights) {
		RoomPropertyRights = roomPropertyRights;
	}
	public String getParkPropertyRights() {
		return ParkPropertyRights;
	}
	public void setParkPropertyRights(String parkPropertyRights) {
		ParkPropertyRights = parkPropertyRights;
	}
	public Date getRoomActualSubDate() {
		return RoomActualSubDate;
	}
	public void setRoomActualSubDate(Date roomActualSubDate) {
		RoomActualSubDate = roomActualSubDate;
	}
	public Date getParkActualSubDate() {
		return ParkActualSubDate;
	}
	public void setParkActualSubDate(Date parkActualSubDate) {
		ParkActualSubDate = parkActualSubDate;
	}
	public Integer getCustLiveType() {
		return CustLiveType;
	}
	public void setCustLiveType(Integer custLiveType) {
		CustLiveType = custLiveType;
	}
	public String getBuildType() {
		return BuildType;
	}
	public void setBuildType(String buildType) {
		BuildType = buildType;
	}
	public BigDecimal getBuildArea() {
		return BuildArea;
	}
	public void setBuildArea(BigDecimal buildArea) {
		BuildArea = buildArea;
	}
	public Integer getRoomParkCount() {
		return RoomParkCount;
	}
	public void setRoomParkCount(Integer roomParkCount) {
		RoomParkCount = roomParkCount;
	}
	public String getIsHelpPay() {
		return IsHelpPay;
	}
	public void setIsHelpPay(String isHelpPay) {
		IsHelpPay = isHelpPay;
	}
	public String getRoomUseState() {
		return RoomUseState;
	}
	public void setRoomUseState(String roomUseState) {
		RoomUseState = roomUseState;
	}
	public String getParkUseState() {
		return ParkUseState;
	}
	public void setParkUseState(String parkUseState) {
		ParkUseState = parkUseState;
	}
	public BigDecimal getLateAmount() {
		return LateAmount;
	}
	public void setLateAmount(BigDecimal lateAmount) {
		LateAmount = lateAmount;
	}
	public BigDecimal getTaxRate() {
		return TaxRate;
	}
	public void setTaxRate(BigDecimal taxRate) {
		TaxRate = taxRate;
	}
	public BigDecimal getTaxAmount() {
		return TaxAmount;
	}
	public void setTaxAmount(BigDecimal taxAmount) {
		TaxAmount = taxAmount;
	}
	public BigDecimal getTax() {
		return Tax;
	}
	public void setTax(BigDecimal tax) {
		Tax = tax;
	}
	public String getCustTypeName() {
		return CustTypeName;
	}
	public void setCustTypeName(String custTypeName) {
		CustTypeName = custTypeName;
	}
	public Date getLateStartDate() {
		return LateStartDate;
	}
	public void setLateStartDate(Date lateStartDate) {
		LateStartDate = lateStartDate;
	}
	public BigDecimal getLatePrice() {
		return LatePrice;
	}
	public void setLatePrice(BigDecimal latePrice) {
		LatePrice = latePrice;
	}
	public BigDecimal getLateRate() {
		return LateRate;
	}
	public void setLateRate(BigDecimal lateRate) {
		LateRate = lateRate;
	}
	public BigDecimal getParkArea() {
		return ParkArea;
	}
	public void setParkArea(BigDecimal parkArea) {
		ParkArea = parkArea;
	}
	public Integer getStanFormula() {
		return StanFormula;
	}
	public void setStanFormula(Integer stanFormula) {
		StanFormula = stanFormula;
	}
	public Integer getRoomState() {
		return RoomState;
	}
	public void setRoomState(Integer roomState) {
		RoomState = roomState;
	}
	public BigDecimal getGardenArea() {
		return GardenArea;
	}
	public void setGardenArea(BigDecimal gardenArea) {
		GardenArea = gardenArea;
	}
	public BigDecimal getYardArea() {
		return YardArea;
	}
	public void setYardArea(BigDecimal yardArea) {
		YardArea = yardArea;
	}
	public String getChargeMode() {
		return ChargeMode;
	}
	public void setChargeMode(String chargeMode) {
		ChargeMode = chargeMode;
	}
	public BigDecimal getCommisionAmount() {
		return CommisionAmount;
	}
	public void setCommisionAmount(BigDecimal commisionAmount) {
		CommisionAmount = commisionAmount;
	}
	public Integer getIsWriteOff() {
		return IsWriteOff;
	}
	public void setIsWriteOff(Integer isWriteOff) {
		IsWriteOff = isWriteOff;
	}
	public String getWriteOffType() {
		return WriteOffType;
	}
	public void setWriteOffType(String writeOffType) {
		WriteOffType = writeOffType;
	}
	public String getWriteOffUserName() {
		return WriteOffUserName;
	}
	public void setWriteOffUserName(String writeOffUserName) {
		WriteOffUserName = writeOffUserName;
	}
	public String getWriteOffAuditUserName() {
		return WriteOffAuditUserName;
	}
	public void setWriteOffAuditUserName(String writeOffAuditUserName) {
		WriteOffAuditUserName = writeOffAuditUserName;
	}
	public String getWriteOffMeme() {
		return WriteOffMeme;
	}
	public void setWriteOffMeme(String writeOffMeme) {
		WriteOffMeme = writeOffMeme;
	}
	
}
